Subject: Re: [Cfrg] draft-fluhrer-lms-more-parm-sets-01

From: Russ Housley <[email-masked]>
Date: Tue, 2 Jun 2020 16:59:25 -0400

Is anyone else excited about the SHA256-192 parameter values?

Russ

> On May 14, 2020, at 2:07 PM, Russ Housley <[email-masked]> wrote:
> 
> I think that the SUIT WG would find the SHA256-192 parameter values very useful, like right away.  Is there a way to expedite the code point assignment for these?  If test vectors are needed, I am willing to help generate them.
> 
> Russ
> 
> 
>> On Apr 23, 2020, at 5:18 PM, Scott Fluhrer (sfluhrer) <sfluhrer=[email-masked]> wrote:
>> 
>>> -----Original Message-----
>>> From: Russ Housley <[email-masked]>
>>> Sent: Thursday, April 23, 2020 3:01 PM
>>> To: Scott Fluhrer (sfluhrer) <[email-masked]>
>>> Cc: IRTF CFRG <[email-masked]>
>>> Subject: draft-fluhrer-lms-more-parm-sets-01
>>> 
>>> Scott:
>>> 
>>> Thanks for your talk on this draft yesterday.  It raised a few questions.
>>> 
>>> 1) SHA256-192:  I like it.  Does the size of I change?  My guess is that it is still
>>> 16 bytes, but I want to be sure.
>> 
>> The size of I remains at 16 bytes.  The reason I is there is to address potential multitarget attacks; that is, where someone attacks two different public keys by hashing a single value and seeing if it matched a value from either Merkle tree/Winternitz chain.  Because two different public keys will have different I values, this doesn't yield an advantage (as the attempted hash will need to select a specific I value.
>> 
>> This protection doesn't have anything to do with the hash size, and so it does not change.
>> 
>>> 
>>> 2) SHAKE256-256 and SHAKE256-192:  Why use an Extendable-Output
>>> Function (XOF)?  Since the output in the application is always 256 bits or 192
>>> bits, the normal reason for picking an XOF does not seem relevant.
>> 
>> That's actually a Dang question; he suggested we add it, so I copied him.
>> 
>> On the other hand, SHAKE256 and SHA3-256 are almost the same (differing only in the end-of-message padding), and so I don't believe it really matters.
>> 
>>> 
>>> 3) Temporary code points: Why do you have collisions?  For example,
>>> LMOTS_SHA256_N24_W1 and LMS_SHA256_M24_H5 are the same, and RFC
>>> 8554 avoided overlaps between LMS and LMOTS code points.
>> 
>> They're not a collision; they are in different spaces  The fact that RFC 8554 happened to avoid collisions is just an accident of history (originally, that draft defined 128 bit hashes as well, and the LMSOT code points for 128 bits hashes came after the 256 bit hashes, and the LMS code points for 128 bit hashes came first.  We dropped the 128 bit hashes, but left the 256 bit code points unchanged, resulting in the current assignments.
>> 
>>> 
>>> Russ
>>> 
>> 
>> _______________________________________________
>> Cfrg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/cfrg
>